Support for Kaffe?

2005-01-13
2013-04-15
  • Marco Trudel

    Marco Trudel - 2005-01-13

    Hello

    Are other JRE's than the sun one supported?
    For example kaffee (kaffe.org)?

    regards
    Marco

     
    • Moritz Gmelin

      Moritz Gmelin - 2005-01-13

      Hi,

      I really don't know about that. But if other JRE's support The java standard as of 1.1.8 and JNI, it should work.

      M.

       
    • n1ck

      n1ck - 2005-04-07

      Hi,
      I've tried compiling with the sun jdsk1.5, blackdown 1.1.8, and kaffe1.1.5.  For jdsk1.5 it compiles and runs succesfully, but for blackdown 1.1.8 and kaffe1.1.5 I get an identical error:

      BlueZ.cpp: In function `void fill_jobject(JNIEnv*, _jclass*, const char*, int*, sdp_list_t*, _jobject**)':
      BlueZ.cpp:1940: error: invalid conversion from `const jbyte*' to `jbyte*'
      BlueZ.cpp:1940: error:   initializing argument 4 of `void JNIEnv_::SetByteArrayRegion(_jbyteArray*, jsize, jsize, jbyte*)'
      make: *** [libavetanaBT.so] Error 1

       
    • Jack Cheung

      Jack Cheung - 2006-08-02

      Hmm, I wonder if this bug report is related:
      Bug ID: 1281023 ( http://sourceforge.net/tracker/index.php?func=detail&aid=1281023&group_id=113785&atid=666127 )

       

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks